package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ElderlyConsumerVouchersPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ElderlyConsumerVouchersSaveReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.excel.ElderlyConsumerVouchersImportExcelVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ElderlyConsumerVouchersDO;

import javax.validation.Valid;
import java.util.List;

public interface ElderlyConsumerVouchersService {

    Long create(@Valid ElderlyConsumerVouchersDO createReqVO);

    void update(@Valid ElderlyConsumerVouchersSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyConsumerVouchersDO get(Long id);

    PageResult<ElderlyConsumerVouchersDO> getPage(ElderlyConsumerVouchersPageReqVO pageReqVO);

    void importData(List<ElderlyConsumerVouchersImportExcelVO> list);
}

